Subject: MS-DOS programming tools
From: [email-masked] ("John Dallman")
Date: 3 Jun 1996 21:20:58 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

A new version of #!perl, which provides #!/user/local/bin/perl - style 
Perl startups under MS-DOS is now available from CPAN. It's been 
rewritten in C (it used to be Pascal) and has two new features:

* The environment variable PERL_PROG allows you to specify the name of 
  the Perl interpreter (and thus use a different interpreter, making 
  #!perl into a generic script-wrapper program).
  
* The special startup option -CGI_DEBUG makes #!perl emit debug output as 
  an HTML document, so that you can attempt to find out why it isn't 
  working with your http server. I added this because people seemed to 
  need it; I've never tested it myself.
  
I've also released a new version of my document about differences between 
MS-DOS perl and UNIX perl, as dosperl2.txt.

   ******************************************************************
   *                                                                *
   *                           NOTICE                               *
   *                                                                *
   *   I don't know how to set up a WWW server for DOS/Windows/NT   *
   *   using Perl. E-mailing me asking how is a waste of good       *
   *   electrons. I won't be able to help, and I'm bored with       *
   *   being asked the questions                                    *
   *                                                                *
   ******************************************************************
   
Both files are available from .../CPAN/ports/msdos/tips-tricks, as 
hbp4.03.zip and dosperl2.txt.

John Dallman, [email-masked] 
#!perl: ftp://.../CPAN/ports/msdos/tips-tricks/hbp_403.zip